.NET

Reply
Contributor
mabe2k11
Posts: 24
Registered: ‎03-14-2006
Message 1 of 1 (166 Views)

Catch the publication event

166 Views, 0 Replies
06-08-2006 08:35 AM
Hello!

With the following code I can catch the event, when a plot-job is finished:

Autodesk.AutoCAD.PlottingServices.PlotReactorManager prm = new Autodesk.AutoCAD.PlottingServices.PlotReactorManager();
prm.EndPlot += new Autodesk.AutoCAD.PlottingServices.EndPlotEventHandler(prm_EndPlot);
.
.
.
void prm_EndPlot(object sender, Autodesk.AutoCAD.PlottingServices.EndPlotEventArgs e)
{
Editor ed = Application.DocumentManager.MdiActiveDocument.Editor;
ed.WriteMessage("Plot finished");
}


But has the publication also such events? I need to get the filename of each drawing which was publicated.
I was looking in the Objectbrowser of VS2005 and I found some events which sounds good. But nothing catches the publication event.

Thanks

You are not logged in.

Log into access your profile, ask and answer questions, share ideas and more. Haven't signed up yet? Register

Announcements
Are you familiar with the Autodesk Expert Elites? The Expert Elite program is made up of customers that help other customers by sharing knowledge and exemplifying an engaging style of collaboration. To learn more, please visit our Expert Elite website.

Need installation help?

Start with some of our most frequented solutions to get help installing your software.

Ask the Community